export default class Elemento {

  #elemento;

  constructor({ elemento, configuracion } = {}) {

    this.#elemento = elemento;

    this.configuracion = configuracion

  }

  get elemento() { return this.#elemento }

  inicializar() { throw new Error('¡Este método debe ser implementado por una clase hija!') }

  destruir() { throw new Error('¡Este método debe ser implementado por una clase hija!') }

}